### Function

# Camel lock_flock

#### Declaration [src]

    gint
    camel_lock_flock (
      gint fd,
      CamelLockType type,
      GError** error
    )

#### Description [src]

Create a lock using flock(2).

`type` is CAMEL_LOCK_WRITE or CAMEL_LOCK_READ, to create exclusive or shared read locks

The function does nothing and returns success (zero), when flock locking had not been compiled.

#### Parameters

`fd`

  Type: `gint`

  A file descriptor.

`type`

  Type: `CamelLockType`

  A `CamelLockType`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

-1 on error.